Skip to main content
PUT
/
v1
/
bot
/
calendar
/
settings
Update Calendar Settings
curl --request PUT \
  --url https://api.boostgpt.co/v1/bot/calendar/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "timezone": "<string>",
  "working_days": [
    123
  ],
  "work_start": "<string>",
  "work_end": "<string>",
  "slot_duration_minutes": 123,
  "buffer_minutes": 123,
  "min_notice_minutes": 123,
  "booking_window_days": 123,
  "meeting_title": "<string>",
  "meeting_location": "<string>",
  "booking_instructions": "<string>",
  "is_enabled": true
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

Body

application/json
timezone
string
working_days
integer[]
work_start
string
work_end
string
slot_duration_minutes
integer
buffer_minutes
integer
min_notice_minutes
integer
booking_window_days
integer
meeting_title
string
meeting_location
string
booking_instructions
string
is_enabled
boolean

Response

Update Calendar Settings successful

The response is of type object.